QT Forms. Opening two forms using IdentifyFeatures crashes

2015-05-11 06:56 AM - Stelios Papageorgiou

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20829

Description

Release Wien 2.8.1 Under windows 7.

On the properties of a layer we have selected on "fields tab" the "provide ui-file" option and we specified a tesform.ui in "Edit-ui". the test

form is used to specified points as bus stops. In the "python init function" we specified a checktestform.py in order to active some field

validations.

If we try to click twice on the point then there a strange behavior of the .py validations and upon closing the form then the system crashes.

We have tested it in different scenarios and the system is not able to handle two forms at the same time.

Is there something that we miss or it is a bug.

Thanks

Related issues:

Related to QGIS Application - Bug report # 13080: QT Forms. Opening two forms... Rejected 2015-07-06

Duplicates QGIS Application - Bug report # 12711: Error when opening more tha... Closed 2015-05-07

Associated revisions

Revision 03da1fca - 2015-05-13 01:12 PM - Matthias Kuhn

Generate unique variable names for python init form

Fix #12676

Fix #12711

Fix #12729

Revision 9d7a650c - 2015-05-13 01:15 PM - Matthias Kuhn

Generate unique variable names for python init form

Fix #12676

Fix #12711

Fix #12729

History

#1 - 2015-05-11 07:01 AM - Matthias Kuhn

- Status changed from Open to Feedback
If you remove the python init function, does it also crash?

#2 - 2015-05-11 07:16 AM - Matthias Kuhn

Just noticed this report here which is very likely related (or even a duplicate) #12711

Can you confirm it is a crash (The QGIS application closes) and not a python error that is shown?

#3 - 2015-05-12 12:07 PM - Stelios Papageorgiou

Hi Matthias

I do confirm that if I remove the python it doesn't crash.

If the python is present then when i close the first form everything is ok (no errors). If i try to close the second form then the system crashes giving

Minidump written to c:

\\users\\.....\\qgis-20150512-215256-1444-2436- exported.dmp

#4 - 2015-05-13 03:03 AM - Matthias Kuhn

Just to be sure it is not related to your particular python scripts: Does it also happen with a very minimal python init script that does nothing?

#5 - 2015-05-13 04:14 AM - Matthias Kuhn

- Status changed from Feedback to Closed

Fixed in changeset commit:"03da1fcabd31d6b726dffe8f8bb07c53d3f15132".
